APIBackup management

List server backups

Returns a paginated list of all backups for a specific server

Returns a paginated list of all backups for a specific server

GET
/api/client/servers/{server}/backups

Authorization

bearerAuth
AuthorizationBearer <token>

Enter your API token in the format: Bearer {token}

In: header

Path Parameters

server*string

Server identifier

Query Parameters

per_page?integer

Number of backups per page (max 50)

Default20
Range1 <= value <= 50

Response Body

application/json

curl -X GET "https://example.com/api/client/servers/string/backups"
{
  "object": "list",
  "data": [
    {
      "object": "backup",
      "attributes": {
        "uuid": "string",
        "name": "string",
        "ignored_files": [
          "string"
        ],
        "sha256_hash": "string",
        "bytes": 0,
        "created_at": "2019-08-24T14:15:22Z",
        "completed_at": "2019-08-24T14:15:22Z"
      }
    }
  ],
  "meta": {
    "backup_count": 0
  }
}
Empty
Empty
Empty